package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprovalNode;
import com.redxun.knowledge.album.service.AlbumYelpApprovalNodeServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/album/album/albumYelpApprovalNode")
@Api(tags = "业务--专辑点评审核流程节点表")
@ClassDefine(title = "业务--专辑点评审核流程节点表", alias = "AlbumYelpApprovalNodeController", path = "/album/album/albumYelpApprovalNode", packages = "album", packageName = "子系统名称")
public class AlbumYelpApprovalNodeController extends BaseController<AlbumYelpApprovalNode> {

    @Autowired
    AlbumYelpApprovalNodeServiceImpl albumYelpApprovalNodeService;


    @Override
    public BaseService getBaseService() {
        return albumYelpApprovalNodeService;
    }

    @Override
    public String getComment() {
        return "业务--专辑点评审核流程节点表";
    }

}

