package com.redxun.knowledge.analysis.mapper;

import com.redxun.knowledge.analysis.entity.vo.MapCompanyVo;
import com.redxun.knowledge.analysis.entity.vo.OrganizationSearchVo;
import com.redxun.knowledge.analysis.entity.vo.SystemCompanyVo;
import com.redxun.knowledge.analysis.entity.vo.SystemDetailVisitsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 文件名: AnalysisSearchMapper
 * 作者: zizg
 * 时间: 2023/3/23
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface AnalysisSearchMapper {

    /**
     * 各业务系统分布
     *
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<SystemDetailVisitsVo> searchSystemDetailVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 组织访问量
     *
     * @param firstDay
     * @param lastDay
     * @param sort
     * @return
     */
    List<SystemCompanyVo> organizationSearchs(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("sort") String sort);

    /**
     * 组织访问量(新)
     *
     * @param firstDay
     * @param lastDay
     * @param organizationId
     * @return
     */
    List<Map<String, Object>> organizationSearch(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay,
                                                 @Param("organizationId") String organizationId);

    /**
     * 人员访问量
     * @param id
     * @param createTime
     * @param endTime
     * @param round
     * @return
     */
    List<Map<String, Object>> personSearchValue(@Param("id") String id, @Param("firstDay")String createTime, @Param("lastDay")String endTime, @Param("round") Integer round);
}
