package com.redxun.knowledge.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.mysql.cj.jdbc.Clob;
import com.redxun.knowledge.entity.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

// 知识DTO
@Data
public class KnowledgeDto {

    @NotBlank(message = "缺失关键参数：知识分类",groups = {AddGroup.class})
    // 知识分类ID
    private String categoryId;

    @NotNull(message = "缺失关键参数：知识类型",groups = {AddGroup.class})
    // 知识类型 1-文档知识 2-维基知识
    private Integer type;

    @NotBlank(message = "缺失关键参数：知识标题",groups = {AddGroup.class})
    // 知识标题
    private String titles;

    // 知识概要
    private String summary;

    // 知识内容
    private String content;

    // 附件ID
    // @NotBlank(message = "缺失关键参数：文件ID")
    private String attachment;

    // 附件类型 1-WORD(.doc、.docx) 2-PDF(.pdf) 3-PPT(.pptx) 4-EXCEL(.xls、.xlsx)
    private Integer attachmentType;

    // @NotBlank(message = "缺失关键参数：文件名称")
    // 附件名称
    private String attachmentName;
    // 作者
    private String author;
    // 作者id(创建人id)
    private String createBy;
    // 作者id(创建人id)
    private String updateBy;

    //@NotNull(message = "缺失关键参数:是否为草稿")
    private Integer isDraft;

    private OrganizationDto organizationIds;

    //指定可下载附件的人员和组织
    private String downloadUserId;

    private String downloadDeptId;
}
