
/**
 * <pre>
 *
 * 描述：业务--知识地图学习内容表实体类定义
 * 表:KM_MAP_CONTENT
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-13 09:56:03
 * 版权：
 * </pre>
 */
package com.redxun.knowledge.map.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_MAP_CONTENT")
public class MapContent extends BaseExtEntity<String> {

    @JsonCreator
    public MapContent() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //地图ID
    @TableField(value = "MAP_ID")
    private String mapId;
    //学习路径ID
    @TableField(value = "ROUTE_ID")
    private String routeId;
    //学习内容类型;1-外部系统   2-维基知识
    @TableField(value = "TYPE")
    private Integer type;
    //知识ID
    @TableField(value = "KNOWLEDGE_ID")
    private String knowledgeId;
    //系统名称（外部系统）
    @TableField(value = "OUTER_SYSTEM_NAME")
    private String outerSystemName;
    //内容名称（外部系统）
    @TableField(value = "OUTER_CONTENT_NAME")
    private String outerContentName;
    //访问地址（外部系统）
    @TableField(value = "OUTER_ACCESS_URL")
    private String outerAccessUrl;
    //排序
    @TableField(value = "SORT")
    private Integer sort;
    //删除标记;删除状态：0-正常  1-删除
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;

    @TableField(exist = false)
    private Integer knowledgeIsDel;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



