
/**
 * <pre>
 *
 * 描述：业务--知识地图表实体类定义
 * 表:KM_MAP
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-13 09:56:02
 * 版权：
 * </pre>
 */
package com.redxun.knowledge.map.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@ApiModel("知识学习记录表")
@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_MAP_LEARNING")
public class MapLearning extends BaseExtEntity<String> {

    @JsonCreator
    public MapLearning() {
    }

    //主键
    @ApiModelProperty("主键Id")
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    @ApiModelProperty("学习者Id")
    @TableField(value = "USER_ID")
    private String userId;

    @ApiModelProperty("地图Id")
    @TableField(value = "MAP_ID")
    private String mapId;

    @ApiModelProperty("路径Id")
    @TableField(value = "ROUTE_ID")
    private String routeId;

    @ApiModelProperty("学习内容Id")
    @TableField(value = "CONTENT_ID")
    private String contentId;

    @ApiModelProperty("删除标记;删除状态：0-正常  1-删除")
    //删除标记;删除状态：0-正常  1-删除
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



