package com.redxun.knowledge.utils;

import java.lang.reflect.Field;
import java.util.Collection;
import java.util.Objects;

/**
 * 文件名: ObjectUtils
 * 作者: zizg
 * 时间: 2023/5/17
 * 描述: 校验对象属性
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public class ObjectUtil {

    private ObjectUtil(){

    }

    /**
     * 对象属性是否都为空
     * @param t
     * @param <T>
     * @return 是否都为空
     */
    public static <T> boolean valueAllNull(T t) {

        if (t == null) {
            return true;
        }

        boolean flag = true;
        Class<?> clazz = t.getClass();
        Field[] fileds = clazz.getDeclaredFields();
        for (Field field : fileds) {
            field.setAccessible(true);
            Collection coll = null;
            try {
                coll = (Collection) field.get(t);
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            } finally {
                field.setAccessible(false);
            }
            if (coll != null && !coll.isEmpty()) {
                flag = false;
                break;
            }
        }
        return flag;
    }
}
